<?php
/****************************************************************************	
	All form functions go in here

	version: 1.0.0

	last modified: January 18, 2011
/****************************************************************************/
class plb3_form {

	// *******************************************************************
	// generate input box 
	public function textinput($name, $data='', $extra='', $default='') {
		If(!empty($default)) {If(empty($data)) {$data=$default;} $js = "onFocus=\"if(this.value == '".$default."') { this.value = '' }\" onBlur=\"if(this.value == '') { this.value = '".$default."' }\"";}
		print '<input type="text" name="'.$name.'" value="'.$data.'" '.$extra.' '.$js.'>';
	}	

	// *******************************************************************
	// generate textarea box 
	public function textarea($name, $data='', $extra='', $default='') {
		If(!empty($default)) {If(empty($data)) {$data=$default;} $js = "onFocus=\"if(this.value == '".$default."') { this.value = '' }\" onBlur=\"if(this.value == '') { this.value = '".$default."' }\"";}
		print '<textarea name="'.$name.'"'.$extra.' '.$js.'>'.$data.'</textarea>';
	}	
	
	// *******************************************************************
	// generate dropdown (options for select form) 	
	public function dropdown($sel, $array) {
		If(empty($array)) {return;}
		If(is_array($sel)) {global $ibot; return $ibot->display->dropdown_multi($sel, $array);}
		foreach($array as $txt=>$val) {If($txt==$i) {$txt=$val;}print '<option value="'.$val.'" ';if ($val==$sel) {print ' selected ';}print '>'.$txt.'</option>';$i++;}
	}	

	// *******************************************************************
	// generate dropdown for multi-select (options for select form) 	
	public function dropdown_multi($sel, $array) {
		If(empty($array)) {return;}
		foreach($array as $txt=>$val) {If($txt==$i) {$txt=$val;} print '<option value="'.$val.'" ';if (in_array($val,$sel)) {print ' selected ';}print '>'.$txt.'</option>';$i++;}
	}	
	
	// *******************************************************************
	// generate radio button
	public function radio($name,$set_value,$array) {
		If(empty($array)) {return;}
		foreach($array as $value) {
			$i++;
			$rand_ID = 'label'.time().$i.rand(1,1000);
			print '<input type="radio" name="'.$name.'" value="'.$value.'" id="'.$rand_ID.'" '; If($value==$set_value){print 'checked';} print ' >&nbsp;<label for="'.$rand_ID.'">'.$value.'</label>&nbsp;&nbsp;&nbsp;';
		}
	}
}
?>